Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037763
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2018-01-30 10:242018-02-22 18:19
Reportersamuel_nicuesaView Statuspublic 
Assigned Tocollazoandy4 
PriorityhighResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revisionfcb60f9bbde5
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0PR17Q2SCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037763: Trial Balance Report sometimes returns null pointer exception when include zero figures is checked.

DescriptionTrial Balance Report sometimes returns null pointer exception when include zero figures is checked.
We are not able to reproduce it in PI Version, we have used the client environment.
If you need to have access talk with support.
Steps To Reproduce-Login into ERP

-Go to Trial Balance report

-Fill Date from , Date To and include zero figures

-Click search button and you will see a null pointer exception error.
Proposed SolutionIn ReprorTrialBalance.java there are 2 arrays (vec and dataAccountCombinations).

Here is the problem :
dataZeroFigures = new ReportTrialBalanceData[dataAccountCombinations.length + extra];
      vec.copyInto(dataZeroFigures);

If (vec.size() < dataAccountCombinations.length) when you copy vec to dataZeroFigures will be null values in the new array.

Is necessary that vec.size() = dataAccountCombinations.length so we think the solution is use:

dataZeroFigures = new ReportTrialBalanceData[vec.size()];

instead of

dataZeroFigures = new ReportTrialBalanceData[dataAccountCombinations.length + extra];
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0102163)
collazoandy4 (developer)
2018-02-02 20:19

Test Plan
  In client enviroment
    Go to Trial Balance Report and fill all the requires values and check Include zero figures
      Clic on Search button and check the report is shown without error
      Group by Business Partner and check the report is shown without error
      Uncheck Include Zero figures and check the report is shown without error
      Group by Product and check the report is shown without error
(0102270)
hgbot (developer)
2018-02-08 09:56

Repository: erp/devel/pi
Changeset: fcb60f9bbde5cf20bdff4f7a2d583f5cd8696ac8
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Wed Feb 07 11:59:36 2018 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/fcb60f9bbde5cf20bdff4f7a2d583f5cd8696ac8 [^]

Fixes issue 37763: Trial Balance Report sometimes returns null pointer exception
when include zero figures is checked.

When zero figures is checked the matches accounts are skipped from vector list
causing null entries when the vector values are copied with different sizes

Now the dataZeroFigures size is equal to the vector size to avoid null entries

---
M src/org/openbravo/erpCommon/ad_reports/ReportTrialBalance.java
---
(0102271)
dmiguelez (developer)
2018-02-08 09:57

Code Review + Testing Ok
(0102734)
hudsonbot (developer)
2018-02-22 18:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-01-30 10:24 samuel_nicuesa New Issue
2018-01-30 10:24 samuel_nicuesa Assigned To => Triage Finance
2018-01-30 10:24 samuel_nicuesa Modules => Core
2018-01-30 10:24 samuel_nicuesa Triggers an Emergency Pack => No
2018-01-30 16:22 dmiguelez Assigned To Triage Finance => collazoandy4
2018-01-31 21:10 collazoandy4 Status new => scheduled
2018-02-02 20:19 collazoandy4 Note Added: 0102163
2018-02-08 09:56 hgbot Checkin
2018-02-08 09:56 hgbot Note Added: 0102270
2018-02-08 09:56 hgbot Status scheduled => resolved
2018-02-08 09:56 hgbot Resolution open => fixed
2018-02-08 09:56 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/fcb60f9bbde5cf20bdff4f7a2d583f5cd8696ac8 [^]
2018-02-08 09:57 dmiguelez Review Assigned To => dmiguelez
2018-02-08 09:57 dmiguelez Note Added: 0102271
2018-02-08 09:57 dmiguelez Status resolved => closed
2018-02-08 09:57 dmiguelez Fixed in Version => 3.0PR18Q2
2018-02-22 18:19 hudsonbot Checkin
2018-02-22 18:19 hudsonbot Note Added: 0102734


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker